
# ===================================================================
#
#	zmake.mak
#
#	CF/ZAF Makefile for the cfz_4cht demo program
#
# ===================================================================


# Note: CF/ZAF users must define the INCLUDE and LIB environment
#	variables. Here is an example:
# INCLUDE=	c:\zinc\cf_zaf\include;\c:\zinc\include
# LIB=		c:\zinc\lib\borland;c:\tools\bc5\lib



# ----- Application-specific definitions ----------------------------

TARGET =		cf4ct
SOURCE_FILES =	cfz4ct.cpp



# ----- General CF/ZAF definitions ----------------------------------

DEBUG=off



# ----- Usage -------------------------------------------------------

usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll) (not currently supported)
<<



# ----- Clean -------------------------------------------------------

clean:
	del *.o16
	del *.o32
	del *.ob1
	del *.obw
	del *.exe



# ----- Target name definitions -------------------------------------

DOS16_TARGET =		$(TARGET)16.exe
DOS32_TARGET =		$(TARGET)32.exe
WIN16_TARGET =		w$(TARGET)16.exe
WIN32_TARGET =		w$(TARGET)32.exe
WINDLL_TARGET =		w$(TARGET).exe

dos16: 		$(DOS16_TARGET)

dos32: 		$(DOS32_TARGET)

win16: 		$(WIN16_TARGET)

win32: 		$(WIN32_TARGET)

win32dll:	$(WINDLL_TARGET)



# ----- Target descriptions -----------------------------------------

TARGET =			$(DOS16_TARGET)
TARGET_TYPE =		EXE
PLATFORM =			DOS16
ADD_LIBRARIES =		cfzd16
DEFINITION_FILE =	b16.def
!include <zaf.mak>


TARGET =			$(DOS32_TARGET)
TARGET_TYPE =		EXE
PLATFORM =			DOS32
ADD_LIBRARIES =		cfzd32
DEFINITION_FILE =
!include <zaf.mak>


TARGET =			$(WIN16_TARGET)
TARGET_TYPE =		EXE
PLATFORM =			WIN16
ADD_LIBRARIES =		cfzw16 zafw16p
DEFINITION_FILE =	win16.def
!include <zaf.mak>


TARGET =			$(WIN32_TARGET)
TARGET_TYPE =		EXE
PLATFORM =			WIN32
ADD_LIBRARIES =		cfzw32 zafw32p
DEFINITION_FILE =
!include <zaf.mak>


TARGET=				$(WINDLL_TARGET)
TARGET_TYPE =		EXEDLL
PLATFORM =			WIN32
ADD_LIBRARIES =
DEFINITION_FILE =
!include <zaf.mak>

