//////////////////////////////////////
// START of File: CE2_COLM.HPP
//////////////////////////////////////

#ifndef CE2_COLM_HPP
#define CE2_COLM_HPP

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994 through 1997 by DPC Technology Corporation.
// All rights reserved by DPC Technology Corporation.
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of
// copyright and license specifications, and contact information.
//
//===================================================================

// Master Header File Listing:
// Usage:   #include    <cf_api/ce2_colm.hpp>
            // Class cf_eng_Col2D builds a "flat" 2D Column 
            // Chart from 2D Polygons:

// Include Chart Framework class or ID defs/headers this file needs.
class       cf_ChartModel;
class       cf_ChartEngine;
class       cf_eng_CartXYZ;
#include    <cf_api/ce1_ccor.hpp>
            // We'll be using MANY base-class methods!...

class CF_EXPORT   cf_eng_Col2D : public cf_eng_CartXYZ
{

public:

    cf_eng_Col2D();

    virtual         ~cf_eng_Col2D();

protected:
      
    virtual void    updateYValsOnNatNs
                    ( cf_ChartModel *p_cf_cmodlDataSource );
                    // CENTERS Columns on "Natural Number" Index 
                    // Values (e.g. 1, 2, 3, .. N).
                    
    virtual void    updateYValsAtIntIs
                    ( cf_ChartModel *p_cf_cmodlDataSource );
                    // STARTS Columns on "Integer Number" Index 
                    // Values (e.g. 0, 1, 2, .. I).

};  // End of cf_eng_Col2D declaration.

#endif

//////////////////////////////////////
// END of File: CE2_COLM.HPP
//////////////////////////////////////


            
