//////////////////////////////////////
// START of File: CE3_STAC.HPP
//////////////////////////////////////

#ifndef CE3_STAC_HPP
#define CE3_STAC_HPP

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Master Header File Listing:
//
// #include    <cf_api/ce3_stack.hpp>
// Class cf_eng_Col3D builds a 3D Col/Stack Chart from 3D Polyhedra:
//


//--------------------------------------------------------------------
// Include Chart Framework class or ID defs/headers this file needs.
// Paths are relative to the IDE's (global) include path: ~/cfrz
//--------------------------------------------------------------------
class       cf_ChartModel;
class       cf_ChartEngine; 
class       cf_eng_CartXYZ;
#include    <cf_api/ce1_ccor.hpp>
            // We'll be using MANY base-class methods!...

class CF_EXPORT   cf_eng_Stack3D :
        public
        cf_eng_CartXYZ
{

public:

    cf_eng_Stack3D();

    virtual         ~cf_eng_Stack3D();
                    // Virtual d-tor is critical, since owner
                    // object uses pointers to *base* type !

protected:

    virtual void    initGridTickSeries();
                    // We'll want to over-ride the base class'es
                    // grid/tick/series setup to make our range
                    // axis extend over Y-val SUMs!

    virtual void    updateYValsOnNatNs
                    ( cf_ChartModel *p_cf_cmodlDataSource );
                    // CENTERS Stacks on "Natural Number" Index 
                    // Values (e.g. 1, 2, 3, .. N).
                    
    virtual void    updateYValsAtIntIs
                    ( cf_ChartModel *p_cf_cmodlDataSource );
                    // STARTS Stacks on "Integer Number" Index 
                    // Values (e.g. 0, 1, 2, .. I).

};  // End of cf_eng_Stack3D declaration.

#endif      // Terminates include re-definition protection

//////////////////////////////////////
// END of File: CE3_STAC.HPP
//////////////////////////////////////


            
