//////////////////////////////////////
// START of File: CO1_CBMP.CPP
//////////////////////////////////////

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved.
//
// See files "cf_copyr.h" and "cf_licen.h" for details of
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Include this source file's header file:
//
#include	<cf_api/bf_defs.h>
#include    <cf_api/co1_cbmp.hpp>

//
// Implement the "Chart Bitmap Wall" class.
// All functions not implemented here are implemented
// in either co2_cbmp.cpp (as special no-op functions)
// or in co3_cbmp.cpp (as general methods).
//

//
// Use this ctor to set up an "empty" cf_3DBitmap.
//
cf_3DBitmap::
    cf_3DBitmap( cf_Kernel *p_cf_kUseThisKernel )
        : cf_Virt3DObj()    // Default C-tor:
{
    this->p_cf_kChartBitmapKernel = p_cf_kUseThisKernel;

    this->cf_strChartBitmapFile = "";
                // Until the user selects a pictChartBitmap file.
    return;
}

//
// Virtual d-tor:
//
cf_3DBitmap::~cf_3DBitmap() {}

//
// Member maintenance functions:
//
void
    cf_3DBitmap
        ::setKernel( cf_Kernel *p_cf_kUseThisKernel )
        { p_cf_kChartBitmapKernel = p_cf_kUseThisKernel; }


void
    cf_3DBitmap
        ::setBitmap( bf_2DBitmap *p_bf_2dbmpSource )
        { p_bf_bmpSourceBitmap = p_bf_2dbmpSource; }

BOOL
    cf_3DBitmap
        ::isFileSet()
        { return ( cf_strChartBitmapFile.cf_strlen() == 0 ? FALSE : TRUE );}

char*
    cf_3DBitmap
        ::sourceFileName()
        { return ( (char*) this->cf_strChartBitmapFile ); }

void
    cf_3DBitmap
        ::sourceFileName( const char *a_cFileNameString )
        { cf_strChartBitmapFile = a_cFileNameString; }

//
// The following member methods are implemented either as
// special "no-op" methods for 2D-mode in file co2_cbmp.cpp,
// or as general 2D/3D methods in file co3_cbmp.cpp
//
/*=====================================================================
void
    cf_3DBitmap
        ::calcProjectedCornerPoints( bf_Display *p_bf_dspOutputDisplay )

void
    cf_3DBitmap
        ::calcProjectedDeltaValuesAndIncrements()

void
    cf_3DBitmap
        ::projectHorzBitmapLineTo(  cf_2DPoint cf_2dpBitmapPointOne,
                                    cf_2DPoint cf_2dpBitmapPointTwo,
                                    cf_2DPoint cf_2dpProjectedPointOne,
                                    cf_2DPoint cf_2dpProjectedPointTwo,
                                    bf_Display *p_bf_dspOutputDisplay )
void
    cf_3DBitmap
        ::draw3D( bf_Display *p_bf_dspOutputDisplay )

======================================================================*/

//
// End of (subset of) cf_3DBitmap Implementation
//

//////////////////////////////////////
// END of File: CO1_CBMP.CPP
//////////////////////////////////////

