//////////////////////////////////////
// START of File: CO2_CBMP.CPP
//////////////////////////////////////

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved.
//
// See files "cf_copyr.h" and "cf_licen.h" for details of
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Include this source file's header file:
//
#include    <cf_api/bf_defs.h>
#include    <cf_api/co1_cbmp.hpp>

//===================================================
// Implement special 2D "no-op" versions of some
// "3D Chart Bitmap Wall" class member methods.
// All functions not here are implemented in the
// file co1_cbmp.cpp.
//====================================================

//
// Generate 4 cf_2DPoints corresponding to the 4 projected corners of
// the Chart Bitmap Wall by transforming (projecting) the 4 doubles
// and 4 cf_3DPoints points to get (projected) screen coordinates:
//
void
    cf_3DBitmap
        ::calcProjectedCornerPoints( bf_Display * /*p_bf_dspOutputDisplay*/ )
{
    // Note -- this special 2D-only version of a 3D Chart Bitmap
    // is a no-op implementation of the general ChartFolio 2D/3D
    // API Framework's "3D Chart Bitmap" in file: c03_cbmp.cpp
    return;
}   // End of calcProjectedCornerPoints()



//
//  This private member function calculates "Delta" Values and
//  Increment Values for the projected dimensions of the bitmap
//  wall, and stores them into member variables.  These dimensions
//  govern the stretching parameters of the bresenham mapping from
//  the source bitmap rectangle to the projected bitmap trapezium:
//
void
    cf_3DBitmap
        ::calcProjectedDeltaValuesAndIncrements()
{
    // Note -- this special 2D-only version of a 3D Chart Bitmap
    // is a no-op implementation of the general ChartFolio 2D/3D
    // API Framework's "3D Chart Bitmap" in file: c03_cbmp.cpp
    return;
}   // End of calcProjectedDeltaValuesAndIncrements();




void
    cf_3DBitmap
        ::projectHorzBitmapLineTo(  cf_2DPoint /*cf_2dpBitmapPointOne*/,
                                    cf_2DPoint /*cf_2dpBitmapPointTwo*/,
                                    cf_2DPoint /*cf_2dpProjectedPointOne*/,
                                    cf_2DPoint /*cf_2dpProjectedPointTwo*/,
                                    bf_Display * /*p_bf_dspOutputDisplay*/ )
{
    // Note -- this special 2D-only version of a 3D Chart Bitmap
    // is a no-op implementation of the general ChartFolio 2D/3D
    // API Framework's "3D Chart Bitmap" in file: c03_cbmp.cpp
    return;
}   // End of projectHorzBitmapLineTo();



//
// DRAW this cf_3DBitmap on a bf_Display.
//
// Use the parent zPane's canvas() function to get a pointer to the
// current bf_Display to achieve the correct device context.
//
// Note that it is the parent zPane's responsibility to
// lock() the bf_Display!
//
void
    cf_3DBitmap
        ::draw3D( bf_Display * /*p_bf_dspOutputDisplay*/ )
{
    // Note -- this special 2D-only version of a 3D Chart Bitmap
    // is a no-op implementation of the general ChartFolio 2D/3D
    // API Framework's "3D Chart Bitmap" in file: c03_cbmp.cpp
    return;
}   // end of draw3D()


//
// End of 2D-only cf_3DBitmap Implementation
// for general implementation see co3_cbmp.cpp
//

//////////////////////////////////////
// END of File: CO2_CBMP.CPP
//////////////////////////////////////

