// COPYRIGHT (C) 1998.  All Rights Reserved. - MAIN5.CPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <zaf.hpp>
#include <z_prst.hpp>
#include "bitmap2.hpp"
#include "bitmap4.hpp"
#include "bitmap5.hpp"

// Start the application.
int ZafApplication::Main(void)
{
	// This is for compilers that do not look in the library for main.
	LinkMain();

	// Create a pointer to the storage file.
	ZafStorage *storage = new ZafStorage(ZAF_ITEXT("bitmaps.znc"), ZAF_FILE_READ);

	// Check to see if the default storage was allocated.
	if (storage->Error())
	{
		zafErrorSystem->ReportError(ZAF_NULLP(ZafWindowObject),
			ZAF_ITEXT("File Error"), ZAF_DIALOG_OK,
			ZAF_ITEXT("Error: bitmaps.znc could not be found."));
		delete storage;
		return(-1);
	}

	// Create the object persistence for loading the windows.
	zafObjectPersistence = new ZafObjectPersistence(storage,
		zafDefaultDataConstructor, zafDefaultObjectConstructor);

	zafDataPersistence = zafObjectPersistence;

	// Create the new window and it to the window manager.
	ControlWindow *window = new ControlWindow(ZAF_ITEXT("CONTROL_WINDOW"));
	zafWindowManager->Add(window);
	zafWindowManager->screenID = window->screenID;

	// Process user responses.
	Control();

	// Cleanup
	delete zafObjectPersistence;
	zafObjectPersistence = ZAF_NULLP(ZafObjectPersistence);
	zafDataPersistence = ZAF_NULLP(ZafDataPersistence);
	delete storage;

	// End the program.
	return(0);
}
