// COPYRIGHT (C) 1998.  All Rights Reserved. - DATA1.CPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <zaf.hpp>

// ----- MovieWindow --------------------------------------------------------

class MovieWindow : public ZafWindow
{
public:
	MovieWindow(void);
};

MovieWindow::MovieWindow(void) :
	ZafWindow(0, 0, 50, 7)
{
	// Center the window and add generic objects.
	zafWindowManager->Center(this);
	AddGenericObjects(new ZafStringData("Data Window"));

	// Add the data fields.
	Add(new ZafPrompt(2, 1, 10, ZAF_ITEXT("Movie:")));
	Add(new ZafString(12, 1, 35, ZAF_ITEXT("The Alamo"), -1));

	Add(new ZafPrompt(2, 2, 10, ZAF_ITEXT("Director:")));
	Add(new ZafString(12, 2, 35, ZAF_ITEXT("John Wayne"), -1));

	Add(new ZafPrompt(2, 3, 10, ZAF_ITEXT("Producer:")));
	Add(new ZafString(12, 3, 35, ZAF_ITEXT("John Wayne"), -1));

	Add(new ZafPrompt(2, 4, 10, ZAF_ITEXT("Copyright:")));
	Add(new ZafInteger(12, 4, 35, 1960));

	Add(new ZafPrompt(2, 5, 10, ZAF_ITEXT("Stars:")));
	Add(new ZafString(12, 5, 35, ZAF_ITEXT("John Wayne, Richard Widmark, Laurence Harvey, Richard Boone"), -1));
}

// ----- ZafApplication -----------------------------------------------------

int ZafApplication::Main(void)
{
	LinkMain();

	zafWindowManager->Add(new MovieWindow);

	Control();

	return (0);
}

