# ----- General Definitions -------------------------------------------------
DEBUG=off

usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: draw116.exe draw216.exe draw316.exe

dos32: draw132.exe draw232.exe draw332.exe

win16: wdraw116.exe wdraw216.exe wdraw316.exe

win32: wdraw132.exe wdraw232.exe wdraw332.exe

win32dll: wdraw1.exe wdraw2.exe wdraw3.exe

# ----- dos16 ---------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

TARGET_TYPE=EXE
PLATFORM=DOS16
DEFINITION_FILE=$(D16_DEFINITION_FILE)

#
# Build options for draw116.exe
#
TARGET=draw116.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for draw216.exe
#
TARGET=draw216.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for draw316.exe
#
TARGET=draw316.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

# ----- dos32 ---------------------------------------------------------------

TARGET_TYPE=EXE
PLATFORM=DOS32
DEFINITION_FILE=

#
# Build options for draw132.exe
#
TARGET=draw132.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for draw232.exe
#
TARGET=draw232.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for draw332.exe
#
TARGET=draw332.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

# ----- win16 ---------------------------------------------------------------

TARGET_TYPE=EXE
PLATFORM=WIN16
DEFINITION_FILE=win16.def

#
# Build options for wdraw116.exe
#
TARGET=wdraw116.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for wdraw216.exe
#
TARGET=wdraw216.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for wdraw316.exe
#
TARGET=wdraw316.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

# ----- win32 ---------------------------------------------------------------

TARGET_TYPE=EXE
PLATFORM=WIN32
DEFINITION_FILE=

#
# Build options for wdraw132.exe
#
TARGET=wdraw132.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for wdraw232.exe
#
TARGET=wdraw232.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for wdraw332.exe
#
TARGET=wdraw332.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

# ----- win32dll ------------------------------------------------------------

TARGET_TYPE=EXEDLL
PLATFORM=WIN32
DEFINITION_FILE=

#
# Build options for wdraw1.exe
#
TARGET=wdraw1.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for wdraw2.exe
#
TARGET=wdraw2.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for wdraw3.exe
#
TARGET=wdraw3.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>


