## ----- Install options -----
CC = CC
LINK = CC
CC_FLAGS =
LINK_FLAGS =
CPP_EXTENSION = .cpp
INCLUDE_DIRS =
LIB_DIRS = -L/usr/lib/Motif1.2 -L/usr/lib/X11R5
GUI_LIBS = -lXm -lXt -lX11
LIBS = -lm

## ----- General options -----
ZAF_INC_DIR = ../../include
ZAF_LIB_DIR = ../../lib
Z_INCLUDE_DIRS = -I. -I$(ZAF_INC_DIR) $(INCLUDE_DIRS)
Z_LIB_DIRS = -L$(ZAF_LIB_DIR) $(LIB_DIRS)
Z_LIBS = -lZafMtfP -lZafMtf $(GUI_LIBS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .o $(CPP_EXTENSION)

$(CPP_EXTENSION).o:
	$(CC) $(CC_FLAGS) $(Z_INCLUDE_DIRS) -c $<

posix: mprint mreport

clean:
	-rm -f *.o core mprint mreport

mprint: print.o printapp.o
	$(LINK) $(LINK_FLAGS) -o $@ print.o printapp.o $(Z_LIB_DIRS) $(Z_LIBS)

mreport: report.o
	$(LINK) $(LINK_FLAGS) -o $@ report.o $(Z_LIB_DIRS) $(Z_LIBS)

mpobj: printobj.o
	$(LINK) $(LINK_FLAGS) -o $@ printobj.o $(Z_LIB_DIRS) $(Z_LIBS)

