## ----- Install options -----
CC = CC
LINK = CC
CC_FLAGS =
LINK_FLAGS =
CPP_EXTENSION = .cpp
INCLUDE_DIRS =
LIB_DIRS = -L/usr/lib/Motif1.2 -L/usr/lib/X11R5
GUI_LIBS = -lXm -lXt -lX11
LIBS = -lm

## ----- General options -----
ZAF_INC_DIR = ../../include
ZAF_LIB_DIR = ../../lib
Z_INCLUDE_DIRS = -I. -I$(ZAF_INC_DIR) $(INCLUDE_DIRS)
Z_LIB_DIRS = -L$(ZAF_LIB_DIR) $(LIB_DIRS)
Z_LIBS = -lZafMtfP -lZafMtf $(GUI_LIBS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .o $(CPP_EXTENSION)

$(CPP_EXTENSION).o:
	$(CC) $(CC_FLAGS) $(Z_INCLUDE_DIRS) -c $<

posix: msplit1 msplit2 msplit3 msplit4

clean:
	-rm -f *.o core msplit1 msplit2 msplit3 msplit4

msplit1: split1.o
	$(LINK) $(LINK_FLAGS) -o $@ split1.o $(Z_LIB_DIRS) $(Z_LIBS)

msplit2: split2.o
	$(LINK) $(LINK_FLAGS) -o $@ split2.o $(Z_LIB_DIRS) $(Z_LIBS)

msplit3: split3.o
	$(LINK) $(LINK_FLAGS) -o $@ split3.o $(Z_LIB_DIRS) $(Z_LIBS)

msplit4: split.o split4.o
	$(LINK) $(LINK_FLAGS) -o $@ split.o split4.o $(Z_LIB_DIRS) $(Z_LIBS)
