!ifndef IMPLICIT_RULES_DEFINED
IMPLICIT_RULES_DEFINED=
#
# Impicit rules for building object files.
#
.cpp.obw:
	$(W32_COMPILER) $(W32_COMPILE_OPTIONS) $(DEBUG_COMPILE_OPTIONS) /Fo$*.obw $<

.cpp.obx:
	$(W32_COMPILER) $(W32_DLL_EXPORT_COMPILE_OPTIONS) $(DEBUG_COMPILE_OPTIONS) /Fo$*.obx $<

.cpp.obi:
	$(W32_COMPILER) $(W32_DLL_IMPORT_COMPILE_OPTIONS) $(DEBUG_COMPILE_OPTIONS) /Fo$*.obi $<

.cpp.o32:
	$(D32_COMPILER) $(D32_COMPILE_OPTIONS) $(DEBUG_COMPILE_OPTIONS) /Fo$*.o32 $<

.rc.r16:
	$(W16_RESOURCE_COMPILER) $(W16_RESOURCE_OPTIONS) /r /Fo$*.r16 $<

.rc.res:
	$(W32_RESOURCE_COMPILER) $(W32_RESOURCE_OPTIONS) /r $<
!endif


#
# Explicit rule for building executables.
#
!if "$(TARGET_TYPE)" == "EXE" || "$(TARGET_TYPE)" == "EXEDLL"
$(TARGET): $(DEPENDENCY_FILES) $(RES_FILE)
	$(LINKER) $(LINK_OPTIONS) /def:$(DEFINITION_FILE) /out:$(TARGET) @<<
$(OBJECT_FILES_LINK) $(LIBRARIES) $(RES_FILE)
<<
!endif

#
# Explicit rule for building DLL's
#
!if "$(TARGET_TYPE)" == "DLL"
$(TARGET): $(DEPENDENCY_FILES) $(RES_FILE)
	$(LINKER) $(LINK_OPTIONS) /def:$(DEFINITION_FILE) /out:$(TARGET) /implib:$(IMPORT_LIBRARY) @<<
$(OBJECT_FILES_LINK) $(LIBRARIES) $(RES_FILE)
<<
!endif

#
# Explicit rule for building libraries.
#
!if "$(TARGET_TYPE)" == "LIB" || "$(TARGET_TYPE)" == "LIBDLL"
$(TARGET): $(DEPENDENCY_FILES)
	-@del $(TARGET)
	$(LIBRARIAN) /out:$(TARGET) $(LIBRARY_OPTIONS) @<<
$(OBJECT_FILES_LIB)
<<
!endif

