//	Zinc Application Framework - Z_NOTEVT.HPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#if !defined(Z_NOTEVT_HPP)
#define Z_NOTEVT_HPP
#include <z_event.hpp>

// --------------------------------------------------------------------------
// ----- ZafNotifyEvent -----------------------------------------------------
// --------------------------------------------------------------------------

const ZafNotifyEvent N_CLOSE				= -3500;	// window
const ZafNotifyEvent N_EXIT				= -3501;	// window manager
const ZafNotifyEvent N_CURRENT			= -3502;	// window object
const ZafNotifyEvent N_NON_CURRENT		= -3503;	// window object
const ZafNotifyEvent N_SIZE				= -3504;	// window object
const ZafNotifyEvent N_MOVE				= -3505;	// window object
const ZafNotifyEvent N_VSCROLL			= -3506;
const ZafNotifyEvent N_HSCROLL			= -3507;
const ZafNotifyEvent N_CHANGE_PAGE		= -3508;	// notebook
const ZafNotifyEvent N_MOUSE_ENTER		= -3509;	// window object
const ZafNotifyEvent N_MOUSE_LEAVE		= -3510;	// window object
const ZafNotifyEvent N_RESET_I18N		= -3511;
const ZafNotifyEvent N_MAXIMIZE			= -3512;	// window
const ZafNotifyEvent N_MINIMIZE			= -3513;	// window
const ZafNotifyEvent N_RESTORE			= -3514;	// window

const ZafNotifyEvent N_TIMER				= -3520;	// timer

const ZafNotifyEvent N_SHOW_QUICK_TIP	= -3530;	// help tips (non-portable, DOS only)

const ZafNotifyEvent N_INITIAL_DELAY	= -3540;	// autorepeat button (non-portable, DOS only)
const ZafNotifyEvent N_REPEAT_DELAY		= -3541;	// autorepeat button (non-portable, DOS only)

#endif // Z_NOTEVT_HPP

