//	Zinc Application Framework - LANG_KO.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

// In error statements, the %1%s is the data, the %2%s is the range.

#if defined(ZAF_LANGUAGE_INFO) || defined(ZAF_LANGUAGE_MANAGER_INFO)
#	define langCodeset	CP_OTHER
#	define langCodesetName	"IBM_949"
	// Language definitions for KOREAN (KO).
	static ZafIChar ZAF_FARDATA defaultLanguageName[] = { 'k','o',0 };
#endif

#if defined(ZAF_LANGUAGE_MANAGER_INFO)
ZafIChar ZAF_FARDATA ZafLanguageManager::blankString[] = ZAF_ITEXT("");
ZafIChar ZAF_FARDATA ZafLanguageData::errorString[] = ZAF_ITEXT("");
#endif

#if defined(ZAF_UTIME_DATA_INFO)
static ZafMessageStruct ZAF_FARDATA defaultDayStrings[] =
{
	{ "", (ZafNumberID)-1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "Ͽ",	ZAF_DAY_1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_DAY_2, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ȭ",	ZAF_DAY_3, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_DAY_4, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_DAY_5, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ݿ",	ZAF_DAY_6, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_DAY_7, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_SHDAY_1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_SHDAY_2, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ȭ",	ZAF_SHDAY_3, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_SHDAY_4, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_SHDAY_5, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_SHDAY_6, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_SHDAY_7, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_ABDAY_1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_ABDAY_2, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ȭ",	ZAF_ABDAY_3, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_ABDAY_4, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_ABDAY_5, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_ABDAY_6, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_ABDAY_7, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
static ZafMessageStruct ZAF_FARDATA defaultMonthStrings[] =
{
	{ "", (ZafNumberID)-1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_2, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_3, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_4, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_5, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_6, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_7, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_8, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_9, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_10, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_11, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "",	ZAF_MON_12, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "1",	ZAF_SHMON_1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "2",	ZAF_SHMON_2, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "3",	ZAF_SHMON_3, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "4",	ZAF_SHMON_4, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "5",	ZAF_SHMON_5, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "6",	ZAF_SHMON_6, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "7",	ZAF_SHMON_7, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "8",	ZAF_SHMON_8, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "9",	ZAF_SHMON_9, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "10",	ZAF_SHMON_10, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "11",	ZAF_SHMON_11, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "12",	ZAF_SHMON_12, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "1",	ZAF_ABMON_1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "2",	ZAF_ABMON_2, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "3",	ZAF_ABMON_3, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "4",	ZAF_ABMON_4, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "5",	ZAF_ABMON_5, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "6",	ZAF_ABMON_6, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "7",	ZAF_ABMON_7, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "8",	ZAF_ABMON_8, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "9",	ZAF_ABMON_9, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "10",	ZAF_ABMON_10, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "11",	ZAF_ABMON_11, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "12",	ZAF_ABMON_12, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
static ZafMessageStruct ZAF_FARDATA defaultTimeStrings[] =
{
	{ "", (ZafNumberID)-1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_AM, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_PM, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "xxxx", ZAF_TZ, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_UTIME_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "ð(%s) ˿  ʽϴ.", ZAF_ERROR_INVALID, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ð ݵ ԷϽʽÿ.", ZAF_ERROR_VALUE_MISSING, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ð(%s) %s  ƴմϴ.", ZAF_ERROR_OUT_OF_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The time %s is before %s.", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The time %s is after %s.", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_BIGNUM_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "(%s) %s  ƴմϴ.", ZAF_ERROR_INVALID, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "(%s) ȿԴϴ.", ZAF_ERROR_OUT_OF_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The number %s is less than %s.", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The number %s is greater than %s.", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_INTEGER_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "(%s) %s  ƴմϴ.", ZAF_ERROR_INVALID, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "(%s) ȿԴϴ.", ZAF_ERROR_OUT_OF_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The number %s is less than %s.", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The number %s is greater than %s.", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_REAL_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "(%s) %s  ƴմϴ.", ZAF_ERROR_INVALID, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "(%s) ȿԴϴ.", ZAF_ERROR_OUT_OF_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The number %s is less than %s.", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The number %s is greater than %s.", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_DATE_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "¥(%s) ˿  ʽϴ.", ZAF_ERROR_INVALID, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "¥(%s)   ȿԴϴ.", ZAF_ERROR_INVALID_NAME, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "¥ ݵ ԷϽʽÿ.", ZAF_ERROR_VALUE_MISSING, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "¥(%s) %s  ƴմϴ.", ZAF_ERROR_OUT_OF_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The date %s is before %s.", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The date %s is after %s.", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_TIME_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "ð(%s) ˿  ʽϴ.", ZAF_ERROR_INVALID, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ð ݵ ԷϽʽÿ.", ZAF_ERROR_VALUE_MISSING, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ð(%s) %s  ƴմϴ.", ZAF_ERROR_OUT_OF_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The time %s is before %s.", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_LESS_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

//	{ "The time %s is after %s.", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "", ZAF_ERROR_GREATER_THAN_RANGE, ZAF_NULLP(ZafStringIDChar), 0, -1 },

	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_ERROR_SYSTEM_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "", ZAF_MSG_TITLE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "Ȯ(O)", ZAF_MSG_OK, ZAF_NULLP(ZafStringIDChar), 'O', 3 },
	{ "(C)", ZAF_MSG_CANCEL, ZAF_NULLP(ZafStringIDChar), 'C', 3 },
	{ "Help", ZAF_MSG_HELP, ZAF_NULLP(ZafStringIDChar), 'H', 0 },
	{ "ASTERISK", ZAF_MSG_ICONNAME, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "̵(M)", ZAF_MSG_MOVE, ZAF_NULLP(ZafStringIDChar), 'M', 3 },
	{ "ݱ(C)\tAlt+F4", ZAF_MSG_CLOSE, ZAF_NULLP(ZafStringIDChar), 'C', 3 },
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_FILE_DIALOG_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "File New", ZAF_MSG_NEW, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "File Open", ZAF_MSG_OPEN, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "File Save", ZAF_MSG_SAVEAS, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_HELP_SYSTEM_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "Help Topic", ZAF_MSG_HELP_TOPIC, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "Help Index", ZAF_MSG_HELP_INDEX, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "Show Topic", ZAF_MSG_SHOW_TOPIC, ZAF_NULLP(ZafStringIDChar), 'T', 5 },
	{ "Show Index", ZAF_MSG_SHOW_INDEX, ZAF_NULLP(ZafStringIDChar), 'I', 5 },
	{ "Select A Topic", ZAF_MSG_MESSAGE1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "Type a word, or select one from the list.", ZAF_MSG_MESSAGE2, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ݱ(C)", ZAF_MSG_CLOSE, ZAF_NULLP(ZafStringIDChar), 'C', 3 },
	{ " ", ZAF_MSG_ICONTITLE, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "QUESTION", ZAF_MSG_ICONNAME, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_SYSTEM_BUTTON_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "ȭ麹(R)", ZAF_RESTORE_OPTION, ZAF_NULLP(ZafStringIDChar), 'R', 5 },		// S_RESTORE
	{ "̵(M)", ZAF_MOVE_OPTION, ZAF_NULLP(ZafStringIDChar), 'M', 3 },				// S_MOVE_MODE
	{ "ũ⺯(S)", ZAF_SIZE_OPTION, ZAF_NULLP(ZafStringIDChar), 'S', 5 },			// S_SIZE_MODE
	{ " ǥ(N)", ZAF_MINIMIZE_OPTION, ZAF_NULLP(ZafStringIDChar), 'N', 7 },	// S_MINIMIZE
	{ "ȭ ǥ(X)", ZAF_MAXIMIZE_OPTION, ZAF_NULLP(ZafStringIDChar), 'X', 7 },	// S_MAXIMIZE
	{ "", ZAF_SEPARATOR, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "ݱ(C)", ZAF_CLOSE_OPTION, ZAF_NULLP(ZafStringIDChar), 'C', 3 },				// S_CLOSE
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_POPUP_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
#	if defined(ZAF_MACINTOSH)
	{ "Quit", ZAF_EXIT_OPTION, ZAF_NULLP(ZafStringIDChar), 'Q', -1 },
	{ "ݱ", ZAF_CLOSE_OPTION, ZAF_NULLP(ZafStringIDChar), 'W', -1 },
	{ "Cut", ZAF_CUT_OPTION, ZAF_NULLP(ZafStringIDChar), 'X', -1 },
	{ "Copy", ZAF_COPY_OPTION, ZAF_NULLP(ZafStringIDChar), 'C', -1 },
	{ "Paste", ZAF_PASTE_OPTION, ZAF_NULLP(ZafStringIDChar), 'V', -1 },
#	else
	{ "Exit", ZAF_EXIT_OPTION, ZAF_NULLP(ZafStringIDChar), 'X', 1 },
	{ "ݱ(C)", ZAF_CLOSE_OPTION, ZAF_NULLP(ZafStringIDChar), 'C', 3 },
	{ "Cut\tCtl+X", ZAF_CUT_OPTION, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "Copy\tCtl+C", ZAF_COPY_OPTION, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ "Paste\tCtl+V", ZAF_PASTE_OPTION, ZAF_NULLP(ZafStringIDChar), 0, -1 },
#	endif
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_WINDOW_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "ERROR", (ZafNumberID)-1, ZAF_NULLP(ZafStringIDChar), 0, -1 },
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

#if defined(ZAF_MESSAGE_WINDOW_INFO)
static ZafMessageStruct ZAF_FARDATA defaultMessages[] =
{
	{ "OK", ZAF_DIALOG_OK, ZAF_NULLP(ZafStringIDChar), 'O', 0 },
	{ "Yes", ZAF_DIALOG_YES, ZAF_NULLP(ZafStringIDChar), 'Y', 0 },
	{ "No", ZAF_DIALOG_NO, ZAF_NULLP(ZafStringIDChar), 'N', 0 },
	{ "Abort", ZAF_DIALOG_ABORT, ZAF_NULLP(ZafStringIDChar), 'A', 0 },
	{ "Retry", ZAF_DIALOG_RETRY, ZAF_NULLP(ZafStringIDChar), 'R', 0 },
	{ "Ignore", ZAF_DIALOG_IGNORE, ZAF_NULLP(ZafStringIDChar), 'I', 0 },
	{ "Cancel", ZAF_DIALOG_CANCEL, ZAF_NULLP(ZafStringIDChar), 'C', 0 },
	{ "Help", ZAF_DIALOG_HELP, ZAF_NULLP(ZafStringIDChar), 'H', 0 },
	{ ZAF_NULLP(ZafIChar), ZAF_NUMID_NULL, ZAF_NULLP(ZafStringIDChar), 0, -1 }
};
#endif

