//	Zinc Application Framework - LOC_KR.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#define locCodeset	CP_UNICODE
#define LENGTHOF(x)	(sizeof(x)/sizeof((x)[0]))

// Locale definitions for KOREA (KR).
static ZafIChar ZAF_FARDATA defaultLocaleName[] = ZAF_ITEXT("KR");
static ZafLocaleStruct ZAF_FARDATA defaultLocale =
{
	ZAF_ITEXT("."),		// decimalSeparator
	ZAF_ITEXT("."),		// monDecimalSeparator
	ZAF_ITEXT(","),		// thousandsSeparator
	ZAF_ITEXT(","),		// monThousandsSeparator
	{ 0x20a9, 0 },		// currencySymbol
	{ 3, 0 },			// grouping
	{ 3, 0 },			// monGrouping
	ZAF_ITEXT("KRW "),	// intCurrencySymbol
	1,					// posCurrencyPrecedes
	1,					// negCurrencyPrecedes
	2,					// fractionDigits
	2,					// intFractionDigits
	ZAF_ITEXT("+"),		// positiveSign
	1,					// posSignPrecedes
	0,					// posSpaceSeparation
	ZAF_ITEXT("-"),		// negativeSign
	1,					// negSignPrecedes
	0,					// negSpaceSeparation
	ZAF_ITEXT("("),
	ZAF_ITEXT(")"),
	ZAF_ITEXT("%d"),
	ZAF_ITEXT("%d"),
	ZAF_ITEXT("%g"),
	ZAF_ITEXT("%g"),
	(ZAF_ITEXT("%H:%M:%S\n")
		ZAF_ITEXT("%H%M%S\n")
		ZAF_ITEXT("%H:%M\n")
		ZAF_ITEXT("%H%M\n")
		ZAF_ITEXT("%H%")),
	ZAF_ITEXT("%H:%M:%S"),
	ZAF_ITEXT("%H:%M:%S"),
	(ZAF_ITEXT("%y.%m.%d\n")
		ZAF_ITEXT("%y%m%d\n")
		ZAF_ITEXT("%y%h%d\n")
		ZAF_ITEXT("%Y.%m.%d\n")
		ZAF_ITEXT("%Y%m%d\n")
		ZAF_ITEXT("%Y%h%d\n")
		ZAF_ITEXT("%m%d\n")
		ZAF_ITEXT("%h%d")),
	ZAF_ITEXT("%Y.%m.%d"),
	ZAF_ITEXT("%D%T"),
	ZAF_ITEXT("%Y.%m.%d %H:%M:%S"),
	ZAF_ITEXT("0123456789"),
	ZAF_ITEXT("0123456789"),
	ZAF_ITEXT(":"),
	ZAF_ITEXT("."),
	2299160L,			// Oct 4, 1582
	11,					// to 2299171L	Oct 15, 1582
	0,
	ZAF_NULLP(ZafEraStruct)
};

