//	Zinc Application Framework - Z_PRST3.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <zaf.hpp>

ZAF_EXPORT ZafObjectPersistence::ObjectConstructor ZAF_FARDATA zafDefaultObjectConstructor[] =
{
	// --- Window objects ---
	{ ID_ZAF_BIGNUM, 				ZafBignum::className, 			ZafBignum::Read },
	{ ID_ZAF_BITMAP, 				ZafBitmap::className, 			ZafBitmap::Read },
	{ ID_ZAF_BORDER, 				ZafBorder::className, 			ZafBorder::Read },
	{ ID_ZAF_BUTTON, 				ZafButton::className, 			ZafButton::Read },
	{ ID_ZAF_COMBO_BOX,				ZafComboBox::className,			ZafComboBox::Read },
	{ ID_ZAF_DATE,					ZafDate::className,				ZafDate::Read },
	{ ID_ZAF_FORMATTED_STRING,		ZafFormattedString::className,	ZafFormattedString::Read },
	{ ID_ZAF_GROUP, 				ZafGroup::className, 			ZafGroup::Read },
	{ ID_ZAF_HZ_LIST, 				ZafHzList::className, 			ZafHzList::Read },
	{ ID_ZAF_ICON, 					ZafIcon::className, 			ZafIcon::Read },
	{ ID_ZAF_IMAGE, 				ZafImage::className, 			ZafImage::Read },
	{ ID_ZAF_INTEGER, 				ZafInteger::className, 			ZafInteger::Read },
	{ ID_ZAF_MAXIMIZE_BUTTON, 		ZafMaximizeButton::className, 	ZafMaximizeButton::Read },
	{ ID_ZAF_MINIMIZE_BUTTON, 		ZafMinimizeButton::className, 	ZafMinimizeButton::Read },
	{ ID_ZAF_NOTEBOOK, 				ZafNotebook::className, 		ZafNotebook::Read },
	{ ID_ZAF_POP_UP_ITEM, 			ZafPopUpItem::className, 		ZafPopUpItem::Read },
	{ ID_ZAF_POP_UP_MENU, 			ZafPopUpMenu::className, 		ZafPopUpMenu::Read },
	{ ID_ZAF_PROGRESS_BAR, 			ZafProgressBar::className, 		ZafProgressBar::Read },
	{ ID_ZAF_PROMPT, 				ZafPrompt::className, 			ZafPrompt::Read },
	{ ID_ZAF_PULL_DOWN_ITEM, 		ZafPullDownItem::className, 	ZafPullDownItem::Read },
	{ ID_ZAF_PULL_DOWN_MENU, 		ZafPullDownMenu::className, 	ZafPullDownMenu::Read },
	{ ID_ZAF_REAL, 					ZafReal::className, 			ZafReal::Read },
	{ ID_ZAF_SCROLL_BAR, 			ZafScrollBar::className, 		ZafScrollBar::Read },
	{ ID_ZAF_SPIN_CONTROL,			ZafSpinControl::className,		ZafSpinControl::Read },
	{ ID_ZAF_SPLITTER,			ZafSplitter::className,		ZafSplitter::Read },
	{ ID_ZAF_STATUS_BAR, 			ZafStatusBar::className, 		ZafStatusBar::Read },
	{ ID_ZAF_STRING, 				ZafString::className, 			ZafString::Read },
	{ ID_ZAF_SYSTEM_BUTTON, 		ZafSystemButton::className, 	ZafSystemButton::Read },
	{ ID_ZAF_TABLE, 				ZafTable::className, 			ZafTable::Read },
	{ ID_ZAF_TABLE_HEADER, 			ZafTableHeader::className, 		ZafTableHeader::Read },
	{ ID_ZAF_TABLE_RECORD, 			ZafTableRecord::className, 		ZafTableRecord::Read },
	{ ID_ZAF_TEXT, 					ZafText::className, 			ZafText::Read },
	{ ID_ZAF_TREE_ITEM, 			ZafTreeItem::className, 		ZafTreeItem::Read },
	{ ID_ZAF_TREE_LIST, 			ZafTreeList::className, 		ZafTreeList::Read },
	{ ID_ZAF_TIME, 					ZafTime::className, 			ZafTime::Read },
	{ ID_ZAF_TITLE, 				ZafTitle::className, 			ZafTitle::Read },
	{ ID_ZAF_TOOL_BAR, 				ZafToolBar::className, 			ZafToolBar::Read },
	{ ID_ZAF_UTIME, 				ZafUTime::className, 			ZafUTime::Read },
	{ ID_ZAF_VT_LIST, 				ZafVtList::className, 			ZafVtList::Read },
	{ ID_ZAF_WINDOW, 				ZafWindow::className, 			ZafWindow::Read },
	// --- Dialog windows ---
	{ ID_ZAF_DIALOG_WINDOW,			ZafDialogWindow::className,		ZafDialogWindow::Read },
	{ ID_ZAF_MDI_WINDOW, 			ZafMDIWindow::className, 		ZafMDIWindow::Read },
	{ ID_ZAF_MESSAGE_WINDOW, 		ZafMessageWindow::className, 	ZafMessageWindow::Read },
	{ ID_ZAF_SCROLLED_WINDOW, 		ZafScrolledWindow::className, 	ZafScrolledWindow::Read },
	// --- Geometry management ---
	{ ID_ZAF_GEOMETRY_MANAGER,		ZafGeometryManager::className,	ZafGeometryManager::Read },
	{ ID_ZAF_ATTACHMENT,			ZafAttachment::className,		ZafAttachment::Read },
	{ ID_ZAF_DIMENSION_CONSTRAINT, 	ZafDimensionConstraint::className, ZafDimensionConstraint::Read },
	{ ID_ZAF_RELATIVE_CONSTRAINT, 	ZafRelativeConstraint::className, ZafRelativeConstraint::Read },
	// --- End-of-array ---
	{ ID_END, 0, 0 }
};

