//	Zinc Application Framework - Z_SPLIT.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

// This file provided as a stub for the personal version of ZAF.

#include <z_mouse2.hpp>
#include <z_split.hpp>
#include <z_string.hpp>
#define ZAF_SPLITTER_INFO
#include "gbl_def.cpp"

// ----- ZafSplitter --------------------------------------------------------

ZafSplitter::ZafSplitter(int left, int top, int width, int height,
	ZafSplitterType _splitterType, int _position, bool setPercent) :
	ZafWindowObject(left, top, width, height),
	live(true),
	percent(setPercent), position(_position), thickness(0),
	splitterType(_splitterType), nextPaneObject(ZAF_NULLP(ZafWindowObject)),
	previousPaneObject(ZAF_NULLP(ZafWindowObject)), nextPaneObjectID(0),
	previousPaneObjectID(0)
{
}

ZafSplitter::ZafSplitter(ZafSplitterType _splitterType, int _position, bool setPercent) :
	ZafWindowObject(0, 0, 0, 0),
	live(true),
	percent(setPercent), position(_position), thickness(0),
	splitterType(_splitterType), nextPaneObject(ZAF_NULLP(ZafWindowObject)),
	previousPaneObject(ZAF_NULLP(ZafWindowObject)), nextPaneObjectID(0),
	previousPaneObjectID(0)
{
}

ZafSplitter::ZafSplitter(const ZafSplitter &copy) :
	ZafWindowObject(copy), live(copy.live), percent(copy.percent),
	position(copy.position), thickness(copy.thickness),
	splitRegion(copy.splitRegion), splitterType(copy.splitterType),
	nextPaneObject(ZAF_NULLP(ZafWindowObject)),
	previousPaneObject(ZAF_NULLP(ZafWindowObject))
{
}

ZafSplitter::~ZafSplitter(void)
{
}

void ZafSplitter::ConvertCoordinates(ZafCoordinateType)
{
}

ZafEventType ZafSplitter::Draw(const ZafEventStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafWindowObject *ZafSplitter::Duplicate(void)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafEventType ZafSplitter::Event(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

bool ZafSplitter::IsA(ZafClassID) const
{
	return (false);
}

bool ZafSplitter::IsA(ZafClassName) const
{
	return (false);
}

ZafEventType ZafSplitter::Modify(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

int ZafSplitter::Position(bool) const
{
	return (0);
}

ZafRegionStruct ZafSplitter::Region(void) const
{
	ZafRegionStruct region = { 0, 0, 0, 0 };
	return (region);
}

void ZafSplitter::XOR(int)
{
}

bool ZafSplitter::SetAcceptDrop(bool)
{
	return (false);
}

bool ZafSplitter::SetCopyDraggable(bool)
{
	return (false);
}

bool ZafSplitter::SetFocus(bool)
{
	return (false);
}

ZafLogicalFont ZafSplitter::SetFont(ZafLogicalFont)
{
	return (ZAF_FNT_NULL);
}

const ZafIChar *ZafSplitter::SetHelpContext(const ZafIChar *)
{
	return (ZAF_NULLP(ZafIChar));
}

bool ZafSplitter::SetLinkDraggable(bool)
{
	return (false);
}

bool ZafSplitter::SetLive(bool)
{
	return (false);
}

bool ZafSplitter::SetMoveDraggable(bool)
{
	return (false);
}

void ZafSplitter::SetNextPaneObject(ZafWindowObject *)
{
}

bool ZafSplitter::SetNoncurrent(bool)
{
	return (true);
}

bool ZafSplitter::SetOSDraw(bool)
{
	return (false);
}

bool ZafSplitter::SetParentDrawBorder(bool)
{
	return (false);
}

bool ZafSplitter::SetParentDrawFocus(bool)
{
	return (false);
}

void ZafSplitter::SetPosition(int, bool)
{
}

void ZafSplitter::SetPreviousPaneObject(ZafWindowObject *)
{
}

void ZafSplitter::SetRegion(const ZafRegionStruct &)
{
}

bool ZafSplitter::SetSelected(bool)
{
	return (false);
}

void ZafSplitter::SetSplitterType(ZafSplitterType)
{
}

bool ZafSplitter::SetSupportObject(bool)
{
	return (false);
}

ZafLogicalColor ZafSplitter::SetTextColor(ZafLogicalColor, ZafLogicalColor)
{
	return (ZAF_CLR_NULL);
}

void ZafSplitter::SetThickness(int)
{
}	

// ----- Persistence --------------------------------------------------------

ZafSplitter::ZafSplitter(const ZafIChar *name, ZafObjectPersistence &persist) :
	ZafWindowObject(name, persist.PushLevel(className, classID, ZAF_PERSIST_DIRECTORY)),
	nextPaneObject(ZAF_NULLP(ZafWindowObject)), previousPaneObject(ZAF_NULLP(ZafWindowObject)),
	nextPaneObjectID(0), previousPaneObjectID(0)
{
	persist.PopLevel();
}

ZafElement *ZafSplitter::Read(const ZafIChar *, ZafObjectPersistence &)
{
	return (ZAF_NULLP(ZafElement));
}

void ZafSplitter::ReadData(ZafObjectPersistence &)
{
}

void ZafSplitter::Write(ZafObjectPersistence &)
{
}

void ZafSplitter::WriteData(ZafObjectPersistence &)
{
}
