//	Zinc Application Framework - Z_TABLE.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

// This file provided as a stub for the personal version of ZAF.

#include <z_table.hpp>
#include <z_scrll2.hpp>
#include <z_str1.hpp>
#include <z_button.hpp>
#define ZAF_TABLE_INFO
#include "gbl_def.cpp"

// ----- ZafTable -----------------------------------------------------------

ZafTable::ZafTable(int left, int top, int width, int height,
	int, int, int) :
	ZafWindow(left, top, width, height),
	virtualRecord(ZAF_NULLP(ZafTableRecord)),
	currentOffset(-1), maxOffset(-1), focusSize(1),
	readFunction(&ZafTable::ReadRecord), writeFunction(&ZafTable::WriteRecord),
	grid(true), itemWidth(0), itemHeight(0), focusRecord(-1), focusField(-1)
{
}

ZafTable::ZafTable(const ZafTable &copy) :
	ZafWindow(copy),
	virtualRecord(ZAF_NULLP(ZafTableRecord)),
	currentOffset(-1), maxOffset(copy.maxOffset), focusSize(copy.focusSize),
	readFunction(copy.readFunction), writeFunction(copy.writeFunction),
	grid(copy.grid), itemWidth(copy.itemWidth), itemHeight(copy.itemHeight),
	focusRecord(copy.focusRecord), focusField(copy.focusField)
{
}

ZafTable::~ZafTable(void)
{
}

ZafWindowObject *ZafTable::Add(ZafWindowObject *, ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafWindowObject *ZafTable::Add(ZafWindowObject *, ZafIChar *, ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

void ZafTable::ComputeNextPosition(ZafTableRecord *, ZafWindowObject *, int &)
{
}

void ZafTable::ComputePreviousPosition(ZafTableRecord *, ZafWindowObject *, int &)
{
}

void ZafTable::ComputeRecordPositions(ZafOffset)
{
}

ZafEventType ZafTable::Draw(const ZafEventStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafEventType ZafTable::DrawFocus(ZafRegionStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

void ZafTable::DrawGrid(const ZafRegionStruct &, const ZafRegionStruct &)
{
}

ZafEventType ZafTable::Event(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

bool ZafTable::IsA(ZafClassID) const
{
	return (false);
}

bool ZafTable::IsA(ZafClassName) const
{
	return (false);
}

ZafLogicalEvent ZafTable::LogicalEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

const ZafPaletteStruct *ZafTable::MapClassPalette(ZafPaletteType, ZafPaletteState)
{
	return (ZAF_NULLP(ZafPaletteStruct));
}

ZafEventType ZafTable::MoveEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

ZafWindowObject *ZafTable::NotifyFocus(ZafWindowObject *, bool)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafEventType ZafTable::ScrollEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

ZafError ZafTable::Flush(ZafOffset)
{
	return (ZAF_ERROR_NONE);
}

ZafLogicalColor ZafTable::HeaderBackgroundColor(ZafLogicalColor *, ZafLogicalColor *)
{
	return (ZAF_CLR_NULL);
}

ZafLogicalColor ZafTable::HeaderTextColor(ZafLogicalColor *, ZafLogicalColor *)
{
	return (ZAF_CLR_NULL);
}

int ZafTable::HeaderHeight(void) const
{
	return (0);
}

int ZafTable::HeaderWidth(void) const
{
	return (0);
}

ZafWindowObject *ZafTable::NotifySelection(ZafWindowObject *, bool)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafTableRecord *ZafTable::Record(ZafOffset)
{
	return (ZAF_NULLP(ZafTableRecord));
}

ZafError ZafTable::Repopulate(ZafOffset)
{
	return (ZAF_ERROR_NONE);
}

int ZafTable::RowHeight(void) const
{
	return (0);
}

ZafOffset ZafTable::SetBottomOffset(ZafOffset)
{
	return ((ZafOffset)0);
}

ZafCoordinateType ZafTable::SetCoordinateType(ZafCoordinateType)
{
	return (ZAF_CELL);
}

ZafOffset ZafTable::SetFocusOffset(ZafOffset)
{
	return ((ZafOffset)0);
}

ZafLogicalColor ZafTable::SetHeaderBackgroundColor(ZafLogicalColor, ZafLogicalColor)
{
	return (ZAF_CLR_NULL);
}

ZafLogicalColor ZafTable::SetHeaderTextColor(ZafLogicalColor, ZafLogicalColor)
{
	return (ZAF_CLR_NULL);
}

int ZafTable::SetHeaderHeight(int)
{
	return (0);
}

int ZafTable::SetHeaderWidth(int)
{
	return (0);
}

int ZafTable::SetRowHeight(int, ZafCoordinateType)
{
	return (0);
}

ZafOffset ZafTable::SetTopOffset(ZafOffset)
{
	return ((ZafOffset)0);
}

bool ZafTable::SetAcceptDrop(bool )
{
	return (false);
}

ZafOffset ZafTable::SetCurrentOffset(ZafOffset)
{
	return ((ZafOffset)0);
}

bool ZafTable::SetDestroyable(bool )
{
	return (false);
}

bool ZafTable::SetGrid(bool)
{
	return (false);
}

bool ZafTable::SetLocked(bool )
{
	return (false);
}

ZafOffset ZafTable::SetMaxOffset(ZafOffset)
{
	return ((ZafOffset)0);
}

bool ZafTable::SetMaximized(bool )
{
	return (false);
}

bool ZafTable::SetMinimized(bool )
{
	return (false);
}

bool ZafTable::SetModal(bool )
{
	return (false);
}

bool ZafTable::SetMoveable(bool )
{
	return (false);
}

bool ZafTable::SetNormalHotKeys(bool )
{
	return (false);
}

ZafWindow *ZafTable::SetOwner(ZafWindow *)
{
	return (ZAF_NULLP(ZafWindow));
}

bool ZafTable::SetSizeable(bool )
{
	return (false);
}

bool ZafTable::SetTemporary(bool )
{
	return (false);
}

ZafTableRecord *ZafTable::SetVirtualRecord(ZafTableRecord *)
{
	return (ZAF_NULLP(ZafTableRecord));
}

ZafWindowObject *ZafTable::Subtract(ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

// ----- Data Members -------------------------------------------------------

ZafError ZafTable::DeleteRecord(ZafOffset)
{
	return (ZAF_ERROR_NONE);
}

ZafError ZafTable::InsertRecord(ZafOffset)
{
	return (ZAF_ERROR_NONE);
}

ZafError ZafTable::ReadRecord(ZafTableRecord &, ZafWindowObject *)
{
	return (ZAF_ERROR_NONE);
}

ZafError ZafTable::SeekNextRecord(void)
{
	return (ZAF_ERROR_NONE);
}

ZafError ZafTable::SeekOptimized(ZafOffset)
{
	return (ZAF_ERROR_NONE);
}

ZafError ZafTable::SeekPreviousRecord(void)
{
	return (ZAF_ERROR_NONE);
}

ZafError ZafTable::SeekRandomRecord(ZafOffset, ZafSeek)
{
	return (ZAF_ERROR_NONE);
}

ZafError ZafTable::SetColumnText(int, const ZafIChar *)
{
	return (ZAF_ERROR_NONE);
}

ZafOffset ZafTable::Tell(void)
{
	return ((ZafOffset)0);
}

ZafError ZafTable::WriteRecord(ZafTableRecord &, ZafWindowObject *)
{
	return (ZAF_ERROR_NONE);
}

// ----- Persistent functions -----------------------------------------------

ZafTable::ZafTable(const ZafIChar *name, ZafObjectPersistence &persist) :
	ZafWindow(name, persist.PushLevel(className, classID, ZAF_PERSIST_DIRECTORY)),
	virtualRecord(ZAF_NULLP(ZafTableRecord)),
	currentOffset(-1), focusSize(1),
	readFunction(&ZafTable::ReadRecord), writeFunction(&ZafTable::WriteRecord),
	itemWidth(0), itemHeight(0), focusRecord(-1), focusField(-1)
{
	persist.PopLevel();
}

ZafElement *ZafTable::Read(const ZafIChar *, ZafObjectPersistence &)
{
	return (ZAF_NULLP(ZafElement));
}

void ZafTable::ReadData(ZafObjectPersistence &)
{
}

void ZafTable::Write(ZafObjectPersistence &)
{
}

void ZafTable::WriteData(ZafObjectPersistence &)
{
}

