//	Zinc Application Framework - Z_TABLE2.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

// This file provided as a stub for the personal version of ZAF.

#include <z_table.hpp>
#include <z_str1.hpp>
#include <z_ctype.hpp>
#include <z_scrdsp.hpp>

#if defined(ZAF_MSWINDOWS)
#include <w_app.hpp>
#endif

// ----- ZafTableRecord -----------------------------------------------------

ZafTableRecord::ZafTableRecord(int width, int height) :
	ZafWindow(0, 0, width, height),
	offset(-1)
{
}

ZafTableRecord::ZafTableRecord(const ZafTableRecord &copy) :
	ZafWindow(copy),
	offset(-1)
{
}

ZafTableRecord::~ZafTableRecord(void)
{
}

bool ZafTableRecord::ActivateObject(ZafWindowObject *)
{
	return (false);
}

ZafWindowObject *ZafTableRecord::Add(ZafWindowObject *, ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

void ZafTableRecord::ConvertRegion(ZafRegionStruct &, ZafCoordinateType)
{
}

bool ZafTableRecord::DeactivateObject(ZafWindowObject *)
{
	return (false);
}

ZafEventType ZafTableRecord::Draw(const ZafEventStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafEventType ZafTableRecord::DrawFocus(ZafRegionStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafWindowObject *ZafTableRecord::Duplicate(void)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafEventType ZafTableRecord::Event(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

bool ZafTableRecord::IsA(ZafClassID) const
{
	return (false);
}

bool ZafTableRecord::IsA(ZafClassName) const
{
	return (false);
}

ZafLogicalEvent ZafTableRecord::LogicalEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

ZafEventType ZafTableRecord::MoveEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

ZafWindowObject *ZafTableRecord::NotifyFocus(ZafWindowObject *, bool)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafWindowObject *ZafTableRecord::Subtract(ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

bool ZafTableRecord::SetAcceptDrop(bool )
{
	return (false);
}

bool ZafTableRecord::SetBordered(bool )
{
	return (false);
}

bool ZafTableRecord::SetDestroyable(bool )
{
	return (false);
}

bool ZafTableRecord::SetDisabled(bool )
{
	return (false);
}

bool ZafTableRecord::SetFocus(bool)
{
	return (false);
}

bool ZafTableRecord::SetLocked(bool )
{
	return (false);
}

bool ZafTableRecord::SetMaximized(bool )
{
	return (false);
}

bool ZafTableRecord::SetMinimized(bool )
{
	return (false);
}

bool ZafTableRecord::SetModal(bool )
{
	return (false);
}

bool ZafTableRecord::SetMoveable(bool )
{
	return (false);
}

bool ZafTableRecord::SetNoncurrent(bool )
{
	return (false);
}

bool ZafTableRecord::SetNormalHotKeys(bool )
{
	return (false);
}

ZafOffset ZafTableRecord::SetOffset(ZafOffset)
{
	return ((ZafOffset)0);
}

ZafWindow *ZafTableRecord::SetOwner(ZafWindow *)
{
	return (ZAF_NULLP(ZafWindow));
}

bool ZafTableRecord::SetParentDrawFocus(bool )
{
	return (false);
}

ZafRegionType ZafTableRecord::SetRegionType(ZafRegionType )
{
	return (ZAF_INSIDE_REGION);
}

bool ZafTableRecord::SetSelected(bool)
{
	return (false);
}

bool ZafTableRecord::SetSizeable(bool )
{
	return (false);
}

bool ZafTableRecord::SetSupportObject(bool )
{
	return (false);
}

bool ZafTableRecord::SetTemporary(bool )
{
	return (false);
}

// ----- OS Specific Functions ----------------------------------------------

void ZafTableRecord::OSMapPalette(ZafPaletteStruct &, ZafPaletteType, ZafPaletteState)
{
}

OSWindowID ZafTableRecord::OSScreenID(ZafScreenIDType type) const
{
	return (ZafWindow::OSScreenID(type));
}

void ZafTableRecord::OSRegisterObject(void)
{
}

// ----- Persistent functions -----------------------------------------------

ZafTableRecord::ZafTableRecord(const ZafIChar *name, ZafObjectPersistence &persist) :
	ZafWindow(name, persist.PushLevel(className, classID, ZAF_PERSIST_DIRECTORY)),
	offset(-1)
{
	persist.PopLevel();
}

ZafElement *ZafTableRecord::Read(const ZafIChar *, ZafObjectPersistence &)
{
	return (ZAF_NULLP(ZafElement));
}

void ZafTableRecord::Write(ZafObjectPersistence &)
{
}


